Bug 49410 - Can't tell how much work to upgrade configs
Summary: Can't tell how much work to upgrade configs
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-19 07:34 UTC by kop
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-19 07:34:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kop 2001-07-19 07:34:31 UTC
Description of Problem:

I'd be nice if there was a general way to use --test with -U and -F to see
what config files will be replaced or need to be upgraded.  This is
necessary to tell ahead of an upgrade how much work will be involved in
re-configuring the software the accomidate the upgrade.  I don't know the
conditions under which rpm makes an .rpmsave of a config file, (The doc is
not so good) but it'd be useful to know when there's any change in the
configs between the old and new packages so the "real" site-customized
configs can be updated.  (Being able to diff the old "standard" config, the
new "standard config" and the "real" current config would be key.  It's
what I do _after_ upgrading when things are already broken and the "real"
config winds up in a .rpmsave file.)

Comment 1 Jeff Johnson 2001-07-24 17:19:20 UTC
Providing a full blown interface that calculates diffs, and has a
"Mother may I" dialogue to manage changed configuration
files is outside the scope of a "batch orieneted" package
installer like rpm. 'Twould be nice to have, but rpm is not the
place.

Meanwhile, there's a "warning" message that can be grepped
out of rpm install output and parsed without too much difficulty
if need be. A script to reproduce rpm's behavior wrto config
files wouldn't be too hard to write either, all the raw information
that is used to calculate a config files's disposition is available
through rpm queries, /bin/ls, and /usr/bin/md5sum output.

If you send me a script, I'll be happy to include in rpm sources


Note You need to log in before you can comment on or make changes to this bug.